QR-codes - Statisch

GET https://qreq.com/api/qr-codes-static
curl --request GET \
--url 'https://qreq.com/api/qr-codes-static' \
--header 'Authorization: Bearer {api_key}'
{ "data": [ { "id": 1, "name": "My QR Code", "type": "url", "qr_code": "https://qreq.com/uploads/qrcodes/1.png", "status": "active", "datetime": "2025-01-15 10:22:00" } ], "meta": { "page": 1, "results_per_page": 25, "total": 1, "total_pages": 1 }, "links": { "first": "https://qreq.com/api/qr-codes-static?page=1", "last": "https://qreq.com/api/qr-codes-static?page=1", "next": null, "prev": null, "self": "https://qreq.com/api/qr-codes-static?page=1" } }
GET https://qreq.com/api/qr-codes-static/{qr_id}
curl --request GET \
--url 'https://qreq.com/api/qr-codes-static/{qr_id}' \
--header 'Authorization: Bearer {api_key}'
{ "data": { "id": 1, "name": "My QR Code", "type": "url", "qr_code": "https://qreq.com/uploads/qrcodes/1.png", "status": "active", "datetime": "2025-01-15 10:22:00" } }
POST https://qreq.com/api/qr-codes-static
Parameters Details Beschrijving
name Verplicht String Name of QR Code
type Verplicht String Type of QR (url, text, email, phone, etc.)
content Verplicht String Data to be encoded in QR
status Optioneel String active / inactive
curl --request POST \
--url 'https://qreq.com/api/qr-codes-static' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=My QR' \
--form 'type=url' \
--form 'content=https://example.com' \
--form 'status=active'
POST https://qreq.com/api/qr-codes-static/{qr_id}
Parameters Details Beschrijving
name Optioneel String Update QR name
content Optioneel String Update QR content
status Optioneel String active / inactive
DELETE https://qreq.com/api/qr-codes-static/{qr_id}
curl --request DELETE \
--url 'https://qreq.com/api/qr-codes-static/{qr_id}' \
--header 'Authorization: Bearer {api_key}'